Package org.apache.nutch.indexwriter.cloudsearch

## Class CloudSearchUtils

- java.lang.Object
- - org.apache.nutch.indexwriter.cloudsearch.CloudSearchUtils

-     public class CloudSearchUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CloudSearchUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getID​(String url)` | Returns a normalised doc ID based on the URL of a document
    `static String` | `stripNonCharCodepoints​(String input)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudSearchUtils

          public CloudSearchUtils()

  - ### Method Detail

    - #### getID

          public static String getID​(String url)

      Returns a normalised doc ID based on the URL of a document
      Parameters:
        `url` - the document url to obtain an ID for
      Returns:
        A unique ID for the document. A document ID can contain any letter or number and the following characters: _ - = # ; : / ? @ &. Document IDs must be at least 1 and no more than 128 characters long.
      See Also:
        creating-document-batches

    - #### stripNonCharCodepoints

          public static String stripNonCharCodepoints​(String input)